<?php

namespace App\Http\Controllers\Api;
use App\Http\Controllers\Controller;
use App\Http\Requests\StorePersonnelEnseignantRequest;
use App\Http\Resources\PersonnelEnseignantResource;
use App\Models\PersonnelEnseignant;
use Illuminate\Http\Request;

class PersonnelEnseignantController extends Controller
{
    public function index()
    {
        $personnelEnseignants = PersonnelEnseignant::all();
        return PersonnelEnseignantResource::collection($personnelEnseignants);
    }

    public function store(StorePersonnelEnseignantRequest $request)
    {
        $personnelEnseignant = PersonnelEnseignant::create($request->validated());
        return new PersonnelEnseignantResource($personnelEnseignant);
    }

    public function show(PersonnelEnseignant $personnelEnseignant)
    {
        return new PersonnelEnseignantResource($personnelEnseignant);
    }

    public function update(StorePersonnelEnseignantRequest $request, PersonnelEnseignant $personnelEnseignant)
    {
        $personnelEnseignant->update($request->validated());
        return new PersonnelEnseignantResource($personnelEnseignant);
    }

    public function destroy(PersonnelEnseignant $personnelEnseignant)
    {
        $personnelEnseignant->delete();
        return response()->json(['message' => 'PersonnelEnseignant supprimé'], 200);
    }
}
